TELNET-PROBE(1)

NAME
telnet-probe - lightweight telnet-like port probe

SYNOPSIS
$PCP_BINADM_DIR/telnet-probe [-cv?] host port

DESCRIPTION
telnet-probe allows the pmdashping(1) daemons to establish connections to arbitrary local and remote service-providing daemons so that response time and service availability information can be obtained.

The required host and port number arguments have the same meaning as their telnet(1) equivalents.

The -c option causes telnet-probe to perform a connect(2) only. This skips the read(2) and write(2) exercise that would otherwise be done after connecting (see below).

Once the telnet connection has been established, telnet-probe reads from stdin until end-of-file, and writes all the input data to the telnet connection. Next, telnet-probe will read from the telnet connection until end-of-file, discarding whatever data it receives. Then telnet-probe exits.

To operate successfully, the input passed via telnet-probe to the remote service must be sufficient to cause the remote service to close the connection when the last line of input has been processed, e.g. ending with ``quit'' when probing SMTP on port 25.

By default telnet-probe will not produce any output, unless there is an error in which case a diagnostic message can be displayed (in verbose mode only) and the exit status will be non-zero indicating a failure.

OPTIONS
The available command line options are:

-c  Connect only, do not read or write.

-v  Enable verbose mode.

-?  Display usage message and exit.

DIAGNOSTICS
If telnet-probe succeeds, then 0 will be returned. If the attempt to establish a connection fails or is terminated, then a non-zero exit status is returned.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmdashping(1), pmie(1), telnet(1), connect(2), read(2) and write(2).